Bug 967689 - (tsung) Review Request: tsung - A distributed multi-protocol load testing tool
Review Request: tsung - A distributed multi-protocol load testing tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-05-28 00:03 EDT by Christopher Meng
Modified: 2013-11-22 03:50 EST (History)
3 users (show)

See Also:
Fixed In Version: tsung-1.5.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 19:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-28 00:03:32 EDT
Spec URL: http://cicku.me/tsung.spec
SRPM URL: http://cicku.me/tsung-1.5.0-1.fc20.src.rpm
Description: tsung is a distributed load testing tool. It is protocol-independent and can 
currently be used to stress and benchmark HTTP, Jabber/XMPP, PostgreSQL, 
MySQL and LDAP servers.
It simulates user behaviour using an XML description file, reports many 
measurements in real time (statistics can be customized with transactions, 
and graphics generated using gnuplot).
For HTTP, it supports 1.0 and 1.1, has a proxy mode to record sessions, 
supports GET and POST methods, Cookies, and Basic WWW-authentication. 
It also has support for SSL.
Fedora Account System Username: cicku
Comment 1 Peter Lemenkov 2013-05-28 09:56:51 EDT
I'll review it
Comment 2 Christopher Meng 2013-06-03 05:58:45 EDT
(In reply to Peter Lemenkov from comment #1)
> I'll review it

So? Any results?
Comment 3 Christopher Meng 2013-07-08 08:57:27 EDT
(In reply to Peter Lemenkov from comment #1)
> I'll review it

Hi(I just can express hi).
Comment 4 Peter Lemenkov 2013-08-01 09:10:58 EDT
Hello again, Christopher. Here I am again with my 

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

* First of all please add "%global debug_package %{nil}" to the top of the package. This is a typical Erlang shortcoming - an arch-independent data is installed into arch-dependent directory, so you can't mark it as noarch but must disable bogus debuginfo subpackage generation. We (me with my fellow colleague from SUSE community) are working on it.

* Please don't try to own the entire %{_libdir}/erlang/lib directory. Claim %{_libdir}/erlang/lib/* instead.

There are few mire Erlang-related issues but I don't want to consider them as a blockers. Instead I'll try to address/fix them in the meantime.

+/- rpmlint is not silent:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/tsung-1.5.0-1.fc20.ppc.rpm ../SRPMS/tsung-1.5.0-1.fc20.src.rpm  | grep -v incorrect-fsf-address
tsung.ppc: W: spelling-error Summary(en_US) multi -> mulch, mufti
tsung.ppc: W: spelling-error %description -l en_US behaviour -> behavior
tsung.ppc: W: spelling-error %description -l en_US gnuplot -> gnu plot, gnu-plot, plotting

^^^ False positives.

tsung.ppc: E: no-binary
tsung.ppc: W: only-non-binary-in-usr-lib


^^^ that's normal for Erlang-related packages (as I explained above due to known shortcomings we have to install noarch data into arch-dependent directory).

tsung.ppc: W: file-not-utf8 /usr/share/doc/tsung/CONTRIBUTORS

^^^ Should be fixed, mostly cosmetic.

tsung.ppc: W: manual-page-warning /usr/share/man/man1/tsung-recorder.1.gz 1: warning: macro `\"' not defined

^^^ Not sure about the severity of this issue but I'd like to see it fixed as well.

tsung.ppc: E: non-executable-script /usr/lib/tsung/tsung_plotter/tsung.py 0644L /usr/bin/python

^^^ Explain what's the purpose of this file or just drop shebang.

tsung.ppc: W: wrong-file-end-of-line-encoding /usr/share/doc/tsung/examples/jabber_privacy.xml


^^^ Should be fixed (easy to fix).

tsung.ppc: W: manual-page-warning /usr/share/man/man1/tsplot.1.gz 1: warning: macro `\"' not defined

^^^ See above. I'd like to see it fixed/explained.

tsung.ppc: W: wrong-file-end-of-line-encoding /usr/share/doc/tsung/examples/amqp.xml


^^^ Should be fixed (easy to fix).

tsung.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
tsung.src: W: spelling-error %description -l en_US behaviour -> behavior
tsung.src: W: spelling-error %description -l en_US gnuplot -> gnu plot, gnu-plot, plotting

^^^ False positives.

2 packages and 0 specfiles checked; 131 errors, 12 warnings.
sulaco ~/rpmbuild/SPECS:


+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (strict GPLv2).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum tsung-1.5.0.tar.gz*
9af5c1cc5bc064f85c11cbfdff42f4a36fdea53c51a30354d75f553c8c6ee83f  tsung-1.5.0.tar.gz
9af5c1cc5bc064f85c11cbfdff42f4a36fdea53c51a30354d75f553c8c6ee83f  tsung-1.5.0.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.

-/+ The package does bundles copies of system libraries but as I said I'd like to import package as is and deal with these unwanted addons later.

+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.

- The package owns files or directories already owned by other packages (see my note regarding %{_libdir}/erlang/lib above)
+ All filenames in rpm packages are valid UTF-8.


Ok, please address/explain issues mentioned by me and I'll continue.
Comment 5 Christopher Meng 2013-08-01 21:32:36 EDT
All fixed.

Spec URL: http://cicku.me/tsung.spec
SRPM URL: http://cicku.me/tsung-1.5.0-2.fc20.src.rpm

Feedback sent to upstream. :)
Comment 6 Peter Lemenkov 2013-08-02 07:06:02 EDT
(In reply to Christopher Meng from comment #5)

> SRPM URL: http://cicku.me/tsung-1.5.0-2.fc20.src.rpm

404
Comment 7 Christopher Meng 2013-08-04 22:06:41 EDT
(In reply to Peter Lemenkov from comment #6)
> (In reply to Christopher Meng from comment #5)
> 
> > SRPM URL: http://cicku.me/tsung-1.5.0-2.fc20.src.rpm
> 
> 404

Internet connection was disturbed, please try again now.

Thanks.
Comment 8 Peter Lemenkov 2013-08-05 16:47:17 EDT
(In reply to Christopher Meng from comment #7)
> (In reply to Peter Lemenkov from comment #6)
> > (In reply to Christopher Meng from comment #5)
> > 
> > > SRPM URL: http://cicku.me/tsung-1.5.0-2.fc20.src.rpm
> > 
> > 404
> 
> Internet connection was disturbed, please try again now.
> 
> Thanks.

OK, I've just downloaded it. I dont see any significant issues so I declare this package as


APPROVED.


ps Chrostopher could you please add me to InitialCC list? I'd like to keep an eye on all Erlang packages.
Comment 9 Christopher Meng 2013-08-05 20:35:19 EDT
New Package SCM Request
=======================
Package Name: tsung
Short Description: A distributed multi-protocol load testing tool
Owners: cicku
Branches: f18 f19 el6
InitialCC: peter
Comment 10 Gwyn Ciesla 2013-08-06 09:12:41 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-09-01 03:05:40 EDT
tsung-1.5.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tsung-1.5.0-3.fc18
Comment 12 Fedora Update System 2013-09-01 03:05:52 EDT
tsung-1.5.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tsung-1.5.0-3.fc19
Comment 13 Fedora Update System 2013-09-01 03:06:02 EDT
tsung-1.5.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tsung-1.5.0-3.el6
Comment 14 Fedora Update System 2013-09-01 14:46:18 EDT
Package tsung-1.5.0-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tsung-1.5.0-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11397/tsung-1.5.0-3.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-09-09 19:49:34 EDT
tsung-1.5.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-09-09 19:53:40 EDT
tsung-1.5.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-16 13:44:10 EDT
tsung-1.5.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Peter Lemenkov 2013-10-23 14:04:27 EDT
Package Change Request
======================
Package Name: tsung
InitialCC: erlang-sig
Comment 19 Gwyn Ciesla 2013-10-23 14:22:28 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.